Name:           megi-kernel-ppp
Version:        6.8.9
Release:        1%{?dist}
Summary:        latest megi kernel for the pinephone 

License:        GPLv3+
URL:            https://megous.com/git/linux/log/?h=orange-pi-6.8
Source0:        pinephones.tar.gz
#Source1:        boot.cmd
#Source2:        boot.scr

#Requires:       pp-uboot 
#Requires:       pinephone-helpers >= 0.0.8-3

#Obsoletes:      kernel-megi-bh
#Obsoletes:      kernel-megi-ce

%description
Megis version of the Linux Kernel, for PinePhone PRO.

%global debug_package %{nil}

%prep
##############autosetup -p1 -n ppp-5.19
%autosetup -p1 -n pinephones


%install
mkdir -p $RPM_BUILD_ROOT/boot/
cp Image $RPM_BUILD_ROOT/boot/
cp linux.config $RPM_BUILD_ROOT/boot/
mkdir -p $RPM_BUILD_ROOT/boot/allwinner
mkdir -p $RPM_BUILD_ROOT/boot/rockchip
cp -r allwinner/* $RPM_BUILD_ROOT/boot/allwinner
cp -r rockchip/* $RPM_BUILD_ROOT/boot/rockchip
mkdir -p $RPM_BUILD_ROOT/lib/modules/
cp -r modules/lib/modules/* $RPM_BUILD_ROOT/lib/modules/

%files
/boot/Image
/boot/linux.config
#/boot/boot.cmd
#/boot/boot.scr
/lib/modules/
/boot/allwinner
/boot/rockchip

%changelog
* Mon May 13 2024 Yoda - 6.8.9-1
- Upgrade to 6.8.9

* Wed May 01 2024 Yoda - 6.8.8-1
- Upgrade to 6.8.8

* Mon Mar 11 2024 Yoda - 6.8.0-1
- Upgrade to 6.8.0

* Fri Mar 08 2024 Yoda - 6.7.9-1
- Upgrade to 6.7.9

* Sun Mar 03 2024 Yoda - 6.7.7-1
- Upgrade to 6.7.7

* Wed Feb 28 2024 Yoda - 6.7.6-1
- Upgrade to 6.7.6

* Wed Feb 07 2024 Yoda - 6.7.4-1
- Upgrade to 6.7.4

* Wed Jan 31 2024 Yoda - 6.7.2-1
- Upgrade to 6.7.2

* Mon Jan 29 2024 Yoda - 6.7.0-1
- Upgrade to 6.7.0

* Sat Jan 06 2024 Yoda - 6.6.10-1
- Upgrade to 6.6.10

* Sun Dec 03 2023 Yoda - 6.6.6-1
- Upgrade to 6.6.6

* Wed Nov 29 2023 Yoda - 6.6.3-1
- Upgrade to 6.6.3

* Mon Oct 09 2023 Yoda - 6.5.6-1
- Upgrade to 6.5.6

* Fri Sep 15 2023 Yoda - 6.5.3-1
- Upgrade to 6.5.3

* Wed Aug 09 2023 Yoda - 6.4.15-1
- Upgrade to 6.4.15

* Wed Aug 02 2023 Yoda - 6.4.7-1
- Upgrade to 6.4.7

* Thu Jul 20 2023 Yoda - 6.4.4-1
- Upgrade to 6.4.4

* Sun Jul 2 2023 Yoda - 6.4.1-1
- Upgrade to 6.4.1

* Mon Jun 12 2023 Yoda - 6.3.7-1
- Upgrade to 6.3.7

* Sat Jun 3 2023 Yoda - 6.3.4-1
- Upgrade to 6.3.4

* Sun May 28 2023 Yoda - 6.3.3-2
- CONFIG_IP_NF_IPTABLES added

* Thu May 18 2023 Yoda - 6.3.3-1
- Upgrade to 6.3.3

* Sun Apr 30 2023 Yoda - 6.2.12-1
- Upgrade to 6.2.12

* Thu Mar 30 2023 Yoda - 6.2.9-1
- Upgrade to 6.2.9
- Fix better WiFi on PP

* Sat Mar 25 2023 Yoda - 6.2.7-1
- Upgrade to 6.2.7

* Wed Mar 15 2023 Yoda - 6.2.6-1
- Upgrade to 6.2.6

* Sun Mar 12 2023 Yoda - 6.2.5-1
- Upgrade to 6.2.5

* Sat Mar 11 2023 Yoda - 6.2.3-1
- Upgrade to 6.2.3

* Wed Mar 08 2023 Yoda - 6.2.2-1
- Upgrade to 6.2.2

* Wed Feb 15 2023 Yoda - 6.1.12-1
- Upgrade to 6.1.12

* Thu Feb 02 2023 Yoda - 6.1.9-1
- Upgrade to 6.1.9

* Mon Jan 30 2023 Yoda - 6.1.7-1
- Upgrade to 6.1.7

* Sat Jan 07 2023 Yoda - 6.1.3-1
- Upgrade to 6.1.3

* Wed Jan 04 2023 Yoda - 6.1.2-1
- Upgrade to 6.1.2

* Mon Nov 28 2022 Yoda - 6.0.10-1
- Upgrade to 6.0.10

* Mon Oct 17 2022 Yoda - 6.0.2-1
- Upgrade to 6.0.2

* Sun Oct 16 2022 Yoda - 6.0.0-1
- Upgrade to 6.0.0

* Mon Aug 29 2022 Yoda - 5.19.3-2
- A bunch of audio corrections

* Mon Aug 22 2022 Yoda - 5.19.3-1
- Upgrade to 5.19.3

* Sat Aug 20 2022 Yoda - 5.19.2-1
- Upgrade to 5.19.2

* Thu Aug 04 2022 Yoda - 5.19.0-2
- Update to 5.19.0-2
- New common kernel for PP and PPP

* Sun Jul 31 2022 Yoda - 5.19.0-1.rc7
- Update to 5.19.0-1.rc7

* Sun Jul 17 2022 Yoda - 5.19.0-1.rc6
- Update to 5.19.0-1.rc6

* Fri Jul 08 2022 Yoda - 5.19.0-1.rc5
- Update to 5.19.0-1.rc5

* Tue Jun 28 2022 Yoda - 5.19.0-1.rc4
- Update to 5.19.0-1.rc4

* Tue Jun 21 2022 Yoda - 5.18.4-1
- Update to 5.18.4-1

* Fri May 27 2022 Yoda - 5.18.0-1.rc8
- Update to 5.18.0-1.rc8

* Sat Apr 09 2022 Yoda - 5.18.0-1.rc1
- Update to 5.18.0-1.rc1

* Sat Apr 09 2022 Yoda - 5.17.2-1
- Update to 5.17.2-1

* Thu Mar 03 2022 Yoda - 5.17.0-1
- Update to 5.17.0-1

* Thu Mar 03 2022 Yoda - 5.17.0-rc5.1
- minor fixes to spec
- Update the defconfig and rebuild kernel

* Sun Feb 27 2022 Yoda - 5.17.0-rc5
- Initial packaging (hack)
